/**
 * Diese Klasse repräsentiert eine Postkarte bestehend aus dem Teilnehmer, der
 * diese Postkarte anfänglich losgeschickt hat, und der Entfernung in km (wobei
 * hier nur ganzzahlige Entfernungen erlaubt sind), die diese Postkarte
 * zurückgelegt hat.
 * 
 * @author Annabelle Klarl
 * 
 */
public class Postkarte {

    private String teilnehmer;
    private int entfernung;

    /**
     * Konstruktor
     * 
     * @param teilnehmer
     * @param entfernung
     *            zurückgelegte Entfernung in km als Ganzzahl
     */
    public Postkarte(String teilnehmer, int entfernung) {
        this.teilnehmer = teilnehmer;
        this.entfernung = entfernung;
    }

    /**
     * Diese Methode gibt den Namen des Teilnehmers zurück, der diese Postkarte
     * anfänglich abgeschickt hat.
     * 
     * @return der Name des Teilnehmers
     */
    public String getTeilnehmer() {
        return this.teilnehmer;
    }

    /**
     * Diese Methode gibt die Entfernung zurück, die die Postkarte zurückgelegt
     * hat.
     * 
     * @return die zurückgelegte Entfernung
     */
    public int getEntfernung() {
        return this.entfernung;
    }

}
