/**
 * Diese Klasse repräsentiert eine Rechnung bestehend aus einer Rechnungsnummer
 * und dem zu zahlenden Betrag in €, wobei hier nur ganzzahlige Beträge erlaubt
 * sind.
 * 
 * @author Annabelle Klarl
 * 
 */
public class Rechnung {

    private int rechnungsnr;
    private int betrag;

    /**
     * Konstruktor
     * 
     * @param rechnungsnr
     * @param betrag
     *            Rechnungsbetrag in € als ganzzahliger Betrag
     */
    public Rechnung(int rechnungsnr, int betrag) {
        this.rechnungsnr = rechnungsnr;
        this.betrag = betrag;
    }

    /**
     * Diese Methode gibt die Rechnungsnummer zurück.
     * 
     * @return die Rechnungsnummer
     */
    public int getRechnungsnr() {
        return this.rechnungsnr;
    }

    /**
     * Diese Methode gibt den Rechnungsbetrag zurück.
     * 
     * @return der Rechnungsbetrag
     */
    public int getBetrag() {
        return this.betrag;
    }

}
